Summary: A text-based interface for setting and loading a keyboard map.
Name: kbdconfig
%define version	1.9.2.2
Version: %{version}
Release: 1
Copyright: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: /var/tmp/kbdconfig-root
Source: kbdconfig-%{version}.tar.gz

%description
The kbdconfig utility is a terminal mode program which provides a
simple interface for setting the keyboard map for your system.  You
need keyboard maps to use any keyboard other than the US default
keyboard. Kbdconfig will load the selected keymap before exiting and
configure your machine to use that keymap automatically after
rebooting.

You should install kbdconfig if you need a utility for changing your
keyboard map.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make INSTROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root)/usr/sbin/kbdconfig
%attr(-,root,root)/usr/man/man8/kbdconfig.8
%attr(-,root,root)/usr/share/locale/*/LC_MESSAGES/kbdconfig.mo

%changelog
* Wed Oct  6 1999 Jakub Jelinek <jakub@redhat.com>
- fix serial console check on SPARC, remove
  /etc/sysconfig/keyboard and console/default.kmap
  if on serial console.

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- save keymap to /etc/sysconfig/console, if available

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Sat Feb 27 1999 Matt Wilson <msw@redhat.com>
- synced with UltraPenguin to add support for console-tools

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.40
 
* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- turkish message catalog

* Wed Sep 23 1998 Erik Troan <ewt@redhat.com>
- look in qwertz directory as well

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove path checks from keyboard map processing.
- add sparc support.

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- added --back
- built against newt 0.30

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added i18n support
- added --back option
- added man page
- buildrooted spec file

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added patch to replace alloca() with malloc()

* Tue Nov  4 1997 Michael Fulbrght <msf@redhat.com>
- changed to handle .map and .map.gz files properly
